Table of Contents

## Name

XtTranslateCoords - translate widget coordinates

## Syntax

void XtTranslateCoords(Widget w, Position x, y, Position
  *rootx_return, *rooty_return);

## Arguments

Returns the root-relative x and y coordinates.

Specify the widget-relative x and y coordinates.

Specifies the widget.

## Description

While XtTranslateCoords is similar to the Xlib XTranslateCoordinates function, it does not generate a server request because all the required information already is in the widget's data structures.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also